Package hdf.hdf5lib

# Class HDF5Constants

java.lang.Object
hdf.hdf5lib.HDF5Constants

    public class HDF5Constants
    extends java.lang.Object

/** This class contains C constants and enumerated types of HDF5 library. The values of these constants are obtained from the library by calling J2C(int jconstant), where jconstant is any of the private constants which start their name with "JH5" need to be converted.

Do not edit this file! See also: hdf.hdf5lib.HDF5Library

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `H5_INDEX_CRT_ORDER` |
  `static int` | `H5_INDEX_N` |
  `static int` | `H5_INDEX_NAME` |
  `static int` | `H5_INDEX_UNKNOWN` |
  `static int` | `H5_ITER_DEC` |
  `static int` | `H5_ITER_INC` |
  `static int` | `H5_ITER_N` |
  `static int` | `H5_ITER_NATIVE` |
  `static int` | `H5_ITER_UNKNOWN` |
  `static long` | `H5_QUARTER_HADDR_MAX` |
  `static int` | `H5_SZIP_ALLOW_K13_OPTION_MASK` |
  `static int` | `H5_SZIP_CHIP_OPTION_MASK` |
  `static int` | `H5_SZIP_EC_OPTION_MASK` |
  `static int` | `H5_SZIP_MAX_PIXELS_PER_BLOCK` |
  `static int` | `H5_SZIP_NN_OPTION_MASK` |
  `static int` | `H5AC_CURR_CACHE_CONFIG_VERSION` |
  `static int` | `H5AC_MAX_TRACE_FILE_NAME_LEN` |
  `static int` | `H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED` |
  `static int` | `H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY` |
  `static int` | `H5C_decr_age_out` |
  `static int` | `H5C_decr_age_out_with_threshold` |
  `static int` | `H5C_decr_off` |
  `static int` | `H5C_decr_threshold` |
  `static int` | `H5C_flash_incr_add_space` |
  `static int` | `H5C_flash_incr_off` |
  `static int` | `H5C_incr_off` |
  `static int` | `H5C_incr_threshold` |
  `static int` | `H5D_ALLOC_TIME_DEFAULT` |
  `static int` | `H5D_ALLOC_TIME_EARLY` |
  `static int` | `H5D_ALLOC_TIME_ERROR` |
  `static int` | `H5D_ALLOC_TIME_INCR` |
  `static int` | `H5D_ALLOC_TIME_LATE` |
  `static int` | `H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS` |
  `static int` | `H5D_CHUNK_IDX_BTREE` |
  `static int` | `H5D_CHUNKED` |
  `static int` | `H5D_COMPACT` |
  `static int` | `H5D_CONTIGUOUS` |
  `static int` | `H5D_FILL_TIME_ALLOC` |
  `static int` | `H5D_FILL_TIME_ERROR` |
  `static int` | `H5D_FILL_TIME_IFSET` |
  `static int` | `H5D_FILL_TIME_NEVER` |
  `static int` | `H5D_FILL_VALUE_DEFAULT` |
  `static int` | `H5D_FILL_VALUE_ERROR` |
  `static int` | `H5D_FILL_VALUE_UNDEFINED` |
  `static int` | `H5D_FILL_VALUE_USER_DEFINED` |
  `static int` | `H5D_LAYOUT_ERROR` |
  `static int` | `H5D_NLAYOUTS` |
  `static int` | `H5D_SPACE_STATUS_ALLOCATED` |
  `static int` | `H5D_SPACE_STATUS_ERROR` |
  `static int` | `H5D_SPACE_STATUS_NOT_ALLOCATED` |
  `static int` | `H5D_SPACE_STATUS_PART_ALLOCATED` |
  `static int` | `H5D_VDS_ERROR` |
  `static int` | `H5D_VDS_FIRST_MISSING` |
  `static int` | `H5D_VDS_LAST_AVAILABLE` |
  `static int` | `H5D_VIRTUAL` |
  `static long` | `H5E_ALIGNMENT` |
  `static long` | `H5E_ALREADYEXISTS` |
  `static long` | `H5E_ALREADYINIT` |
  `static long` | `H5E_ARGS` |
  `static long` | `H5E_ATOM` |
  `static long` | `H5E_ATTR` |
  `static long` | `H5E_BADATOM` |
  `static long` | `H5E_BADFILE` |
  `static long` | `H5E_BADGROUP` |
  `static long` | `H5E_BADMESG` |
  `static long` | `H5E_BADRANGE` |
  `static long` | `H5E_BADSELECT` |
  `static long` | `H5E_BADSIZE` |
  `static long` | `H5E_BADTYPE` |
  `static long` | `H5E_BADVALUE` |
  `static long` | `H5E_BTREE` |
  `static long` | `H5E_CACHE` |
  `static long` | `H5E_CALLBACK` |
  `static long` | `H5E_CANAPPLY` |
  `static long` | `H5E_CANTCLIP` |
  `static long` | `H5E_CANTCLOSEFILE` |
  `static long` | `H5E_CANTCONVERT` |
  `static long` | `H5E_CANTCOPY` |
  `static long` | `H5E_CANTCOUNT` |
  `static long` | `H5E_CANTCREATE` |
  `static long` | `H5E_CANTDEC` |
  `static long` | `H5E_CANTDECODE` |
  `static long` | `H5E_CANTDELETE` |
  `static long` | `H5E_CANTENCODE` |
  `static long` | `H5E_CANTFLUSH` |
  `static long` | `H5E_CANTFREE` |
  `static long` | `H5E_CANTGET` |
  `static long` | `H5E_CANTINC` |
  `static long` | `H5E_CANTINIT` |
  `static long` | `H5E_CANTINSERT` |
  `static long` | `H5E_CANTLIST` |
  `static long` | `H5E_CANTLOAD` |
  `static long` | `H5E_CANTLOCK` |
  `static long` | `H5E_CANTNEXT` |
  `static long` | `H5E_CANTOPENFILE` |
  `static long` | `H5E_CANTOPENOBJ` |
  `static long` | `H5E_CANTREGISTER` |
  `static long` | `H5E_CANTRELEASE` |
  `static long` | `H5E_CANTSELECT` |
  `static long` | `H5E_CANTSET` |
  `static long` | `H5E_CANTSPLIT` |
  `static long` | `H5E_CANTUNLOCK` |
  `static long` | `H5E_CLOSEERROR` |
  `static long` | `H5E_COMPLEN` |
  `static long` | `H5E_DATASET` |
  `static long` | `H5E_DATASPACE` |
  `static long` | `H5E_DATATYPE` |
  `static long` | `H5E_DEFAULT` |
  `static long` | `H5E_DUPCLASS` |
  `static long` | `H5E_EFL` |
  `static long` | `H5E_EXISTS` |
  `static long` | `H5E_FCNTL` |
  `static long` | `H5E_FILE` |
  `static long` | `H5E_FILEEXISTS` |
  `static long` | `H5E_FILEOPEN` |
  `static long` | `H5E_FUNC` |
  `static long` | `H5E_HEAP` |
  `static long` | `H5E_INTERNAL` |
  `static long` | `H5E_IO` |
  `static long` | `H5E_LINK` |
  `static long` | `H5E_LINKCOUNT` |
  `static int` | `H5E_MAJOR` |
  `static int` | `H5E_MINOR` |
  `static long` | `H5E_MOUNT` |
  `static long` | `H5E_MPI` |
  `static long` | `H5E_MPIERRSTR` |
  `static long` | `H5E_NOFILTER` |
  `static long` | `H5E_NOIDS` |
  `static long` | `H5E_NONE_MAJOR` |
  `static long` | `H5E_NONE_MINOR` |
  `static long` | `H5E_NOSPACE` |
  `static long` | `H5E_NOTCACHED` |
  `static long` | `H5E_NOTFOUND` |
  `static long` | `H5E_NOTHDF5` |
  `static long` | `H5E_OHDR` |
  `static long` | `H5E_OVERFLOW` |
  `static long` | `H5E_PLINE` |
  `static long` | `H5E_PLIST` |
  `static long` | `H5E_PROTECT` |
  `static long` | `H5E_READERROR` |
  `static long` | `H5E_REFERENCE` |
  `static long` | `H5E_RESOURCE` |
  `static long` | `H5E_RS` |
  `static long` | `H5E_SEEKERROR` |
  `static long` | `H5E_SETLOCAL` |
  `static long` | `H5E_STORAGE` |
  `static long` | `H5E_SYM` |
  `static long` | `H5E_TRUNCATED` |
  `static long` | `H5E_TST` |
  `static long` | `H5E_UNINITIALIZED` |
  `static long` | `H5E_UNSUPPORTED` |
  `static long` | `H5E_VERSION` |
  `static long` | `H5E_VFL` |
  `static long` | `H5E_WALK_DOWNWARD` |
  `static long` | `H5E_WALK_UPWARD` |
  `static long` | `H5E_WRITEERROR` |
  `static int` | `H5F_ACC_CREAT` |
  `static int` | `H5F_ACC_DEFAULT` |
  `static int` | `H5F_ACC_EXCL` |
  `static int` | `H5F_ACC_RDONLY` |
  `static int` | `H5F_ACC_RDWR` |
  `static int` | `H5F_ACC_SWMR_READ` |
  `static int` | `H5F_ACC_SWMR_WRITE` |
  `static int` | `H5F_ACC_TRUNC` |
  `static int` | `H5F_CLOSE_DEFAULT` |
  `static int` | `H5F_CLOSE_SEMI` |
  `static int` | `H5F_CLOSE_STRONG` |
  `static int` | `H5F_CLOSE_WEAK` |
  `static int` | `H5F_FSPACE_STRATEGY_AGGR` |
  `static int` | `H5F_FSPACE_STRATEGY_FSM_AGGR` |
  `static int` | `H5F_FSPACE_STRATEGY_NONE` |
  `static int` | `H5F_FSPACE_STRATEGY_NTYPES` |
  `static int` | `H5F_FSPACE_STRATEGY_PAGE` |
  `static int` | `H5F_LIBVER_EARLIEST` |
  `static int` | `H5F_LIBVER_ERROR` |
  `static int` | `H5F_LIBVER_LATEST` |
  `static int` | `H5F_LIBVER_NBOUNDS` |
  `static int` | `H5F_LIBVER_V110` |
  `static int` | `H5F_LIBVER_V18` |
  `static int` | `H5F_OBJ_ALL` |
  `static int` | `H5F_OBJ_ATTR` |
  `static int` | `H5F_OBJ_DATASET` |
  `static int` | `H5F_OBJ_DATATYPE` |
  `static int` | `H5F_OBJ_FILE` |
  `static int` | `H5F_OBJ_GROUP` |
  `static int` | `H5F_OBJ_LOCAL` |
  `static int` | `H5F_SCOPE_GLOBAL` |
  `static int` | `H5F_SCOPE_LOCAL` |
  `static int` | `H5F_UNLIMITED` |
  `static long` | `H5FD_CORE` |
  `static long` | `H5FD_DEFAULT_HADDR_SIZE` |
  `static long` | `H5FD_DIRECT` |
  `static long` | `H5FD_FAMILY` |
  `static long` | `H5FD_HDFS` |
  `static long` | `H5FD_LOG` |
  `static int` | `H5FD_LOG_ALL` |
  `static int` | `H5FD_LOG_ALLOC` |
  `static int` | `H5FD_LOG_FILE_IO` |
  `static int` | `H5FD_LOG_FILE_READ` |
  `static int` | `H5FD_LOG_FILE_WRITE` |
  `static int` | `H5FD_LOG_FLAVOR` |
  `static int` | `H5FD_LOG_LOC_IO` |
  `static int` | `H5FD_LOG_LOC_READ` |
  `static int` | `H5FD_LOG_LOC_SEEK` |
  `static int` | `H5FD_LOG_LOC_WRITE` |
  `static int` | `H5FD_LOG_NUM_IO` |
  `static int` | `H5FD_LOG_NUM_READ` |
  `static int` | `H5FD_LOG_NUM_SEEK` |
  `static int` | `H5FD_LOG_NUM_TRUNCATE` |
  `static int` | `H5FD_LOG_NUM_WRITE` |
  `static int` | `H5FD_LOG_TIME_CLOSE` |
  `static int` | `H5FD_LOG_TIME_IO` |
  `static int` | `H5FD_LOG_TIME_OPEN` |
  `static int` | `H5FD_LOG_TIME_READ` |
  `static int` | `H5FD_LOG_TIME_SEEK` |
  `static int` | `H5FD_LOG_TIME_STAT` |
  `static int` | `H5FD_LOG_TIME_WRITE` |
  `static int` | `H5FD_MEM_BTREE` |
  `static int` | `H5FD_MEM_DEFAULT` |
  `static long` | `H5FD_MEM_DEFAULT_BTREE_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_DRAW_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_GHEAP_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_LHEAP_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_OHDR_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_SIZE` |
  `static long` | `H5FD_MEM_DEFAULT_SUPER_SIZE` |
  `static int` | `H5FD_MEM_DRAW` |
  `static int` | `H5FD_MEM_GHEAP` |
  `static int` | `H5FD_MEM_LHEAP` |
  `static int` | `H5FD_MEM_NOLIST` |
  `static int` | `H5FD_MEM_NTYPES` |
  `static int` | `H5FD_MEM_OHDR` |
  `static int` | `H5FD_MEM_SUPER` |
  `static long` | `H5FD_MPIO` |
  `static long` | `H5FD_MULTI` |
  `static long` | `H5FD_ROS3` |
  `static long` | `H5FD_SEC2` |
  `static long` | `H5FD_STDIO` |
  `static long` | `H5FD_WINDOWS` |
  `static int` | `H5G_STORAGE_TYPE_COMPACT` |
  `static int` | `H5G_STORAGE_TYPE_DENSE` |
  `static int` | `H5G_STORAGE_TYPE_SYMBOL_TABLE` |
  `static int` | `H5G_STORAGE_TYPE_UNKNOWN` |
  `static int` | `H5I_ATTR` |
  `static int` | `H5I_BADID` |
  `static int` | `H5I_DATASET` |
  `static int` | `H5I_DATASPACE` |
  `static int` | `H5I_DATATYPE` |
  `static int` | `H5I_ERROR_CLASS` |
  `static int` | `H5I_ERROR_MSG` |
  `static int` | `H5I_ERROR_STACK` |
  `static int` | `H5I_FILE` |
  `static int` | `H5I_GENPROP_CLS` |
  `static int` | `H5I_GENPROP_LST` |
  `static int` | `H5I_GROUP` |
  `static int` | `H5I_INVALID_HID` |
  `static int` | `H5I_NTYPES` |
  `static int` | `H5I_REFERENCE` |
  `static int` | `H5I_UNINIT` |
  `static int` | `H5I_VFL` |
  `static int` | `H5L_TYPE_ERROR` |
  `static int` | `H5L_TYPE_EXTERNAL` |
  `static int` | `H5L_TYPE_HARD` |
  `static int` | `H5L_TYPE_MAX` |
  `static int` | `H5L_TYPE_SOFT` |
  `static int` | `H5O_COPY_EXPAND_EXT_LINK_FLAG` |
  `static int` | `H5O_COPY_EXPAND_REFERENCE_FLAG` |
  `static int` | `H5O_COPY_EXPAND_SOFT_LINK_FLAG` |
  `static int` | `H5O_COPY_PRESERVE_NULL_FLAG` |
  `static int` | `H5O_COPY_SHALLOW_HIERARCHY_FLAG` |
  `static int` | `H5O_COPY_WITHOUT_ATTR_FLAG` |
  `static int` | `H5O_INFO_ALL` |
  `static int` | `H5O_INFO_BASIC` |
  `static int` | `H5O_INFO_HDR` |
  `static int` | `H5O_INFO_META_SIZE` |
  `static int` | `H5O_INFO_NUM_ATTRS` |
  `static int` | `H5O_INFO_TIME` |
  `static int` | `H5O_SHMESG_ALL_FLAG` |
  `static int` | `H5O_SHMESG_ATTR_FLAG` |
  `static int` | `H5O_SHMESG_DTYPE_FLAG` |
  `static int` | `H5O_SHMESG_FILL_FLAG` |
  `static int` | `H5O_SHMESG_NONE_FLAG` |
  `static int` | `H5O_SHMESG_PLINE_FLAG` |
  `static int` | `H5O_SHMESG_SDSPACE_FLAG` |
  `static int` | `H5O_TYPE_DATASET` |
  `static int` | `H5O_TYPE_GROUP` |
  `static int` | `H5O_TYPE_NAMED_DATATYPE` |
  `static int` | `H5O_TYPE_NTYPES` |
  `static int` | `H5O_TYPE_UNKNOWN` |
  `static long` | `H5P_ATTRIBUTE_ACCESS` |
  `static long` | `H5P_ATTRIBUTE_ACCESS_DEFAULT` |
  `static long` | `H5P_ATTRIBUTE_CREATE` |
  `static long` | `H5P_ATTRIBUTE_CREATE_DEFAULT` |
  `static int` | `H5P_CRT_ORDER_INDEXED` |
  `static int` | `H5P_CRT_ORDER_TRACKED` |
  `static long` | `H5P_DATASET_ACCESS` |
  `static long` | `H5P_DATASET_ACCESS_DEFAULT` |
  `static long` | `H5P_DATASET_CREATE` |
  `static long` | `H5P_DATASET_CREATE_DEFAULT` |
  `static long` | `H5P_DATASET_XFER` |
  `static long` | `H5P_DATASET_XFER_DEFAULT` |
  `static long` | `H5P_DATATYPE_ACCESS` |
  `static long` | `H5P_DATATYPE_ACCESS_DEFAULT` |
  `static long` | `H5P_DATATYPE_CREATE` |
  `static long` | `H5P_DATATYPE_CREATE_DEFAULT` |
  `static long` | `H5P_DEFAULT` |
  `static long` | `H5P_FILE_ACCESS` |
  `static long` | `H5P_FILE_ACCESS_DEFAULT` |
  `static long` | `H5P_FILE_CREATE` |
  `static long` | `H5P_FILE_CREATE_DEFAULT` |
  `static long` | `H5P_FILE_MOUNT` |
  `static long` | `H5P_FILE_MOUNT_DEFAULT` |
  `static long` | `H5P_GROUP_ACCESS` |
  `static long` | `H5P_GROUP_ACCESS_DEFAULT` |
  `static long` | `H5P_GROUP_CREATE` |
  `static long` | `H5P_GROUP_CREATE_DEFAULT` |
  `static long` | `H5P_LINK_ACCESS` |
  `static long` | `H5P_LINK_ACCESS_DEFAULT` |
  `static long` | `H5P_LINK_CREATE` |
  `static long` | `H5P_LINK_CREATE_DEFAULT` |
  `static long` | `H5P_OBJECT_COPY` |
  `static long` | `H5P_OBJECT_COPY_DEFAULT` |
  `static long` | `H5P_OBJECT_CREATE` |
  `static long` | `H5P_ROOT` |
  `static long` | `H5P_STRING_CREATE` |
  `static int` | `H5PL_ALL_PLUGIN` |
  `static int` | `H5PL_FILTER_PLUGIN` |
  `static int` | `H5PL_TYPE_ERROR` |
  `static int` | `H5PL_TYPE_FILTER` |
  `static int` | `H5R_BADTYPE` |
  `static int` | `H5R_DATASET_REGION` |
  `static int` | `H5R_MAXTYPE` |
  `static int` | `H5R_OBJ_REF_BUF_SIZE` |
  `static int` | `H5R_OBJECT` |
  `static int` | `H5S_ALL` |
  `static int` | `H5S_MAX_RANK` |
  `static int` | `H5S_NO_CLASS` |
  `static int` | `H5S_NULL` |
  `static int` | `H5S_SCALAR` |
  `static int` | `H5S_SEL_ALL` |
  `static int` | `H5S_SEL_ERROR` |
  `static int` | `H5S_SEL_HYPERSLABS` |
  `static int` | `H5S_SEL_N` |
  `static int` | `H5S_SEL_NONE` |
  `static int` | `H5S_SEL_POINTS` |
  `static int` | `H5S_SELECT_AND` |
  `static int` | `H5S_SELECT_APPEND` |
  `static int` | `H5S_SELECT_INVALID` |
  `static int` | `H5S_SELECT_NOOP` |
  `static int` | `H5S_SELECT_NOTA` |
  `static int` | `H5S_SELECT_NOTB` |
  `static int` | `H5S_SELECT_OR` |
  `static int` | `H5S_SELECT_PREPEND` |
  `static int` | `H5S_SELECT_SET` |
  `static int` | `H5S_SELECT_XOR` |
  `static int` | `H5S_SIMPLE` |
  `static int` | `H5S_UNLIMITED` |
  `static long` | `H5T_ALPHA_B16` |
  `static long` | `H5T_ALPHA_B32` |
  `static long` | `H5T_ALPHA_B64` |
  `static long` | `H5T_ALPHA_B8` |
  `static long` | `H5T_ALPHA_F32` |
  `static long` | `H5T_ALPHA_F64` |
  `static long` | `H5T_ALPHA_I16` |
  `static long` | `H5T_ALPHA_I32` |
  `static long` | `H5T_ALPHA_I64` |
  `static long` | `H5T_ALPHA_I8` |
  `static long` | `H5T_ALPHA_U16` |
  `static long` | `H5T_ALPHA_U32` |
  `static long` | `H5T_ALPHA_U64` |
  `static long` | `H5T_ALPHA_U8` |
  `static int` | `H5T_ARRAY` |
  `static int` | `H5T_BITFIELD` |
  `static int` | `H5T_BKG_NO` |
  `static int` | `H5T_BKG_YES` |
  `static long` | `H5T_C_S1` |
  `static int` | `H5T_COMPOUND` |
  `static int` | `H5T_CONV_CONV` |
  `static int` | `H5T_CONV_FREE` |
  `static int` | `H5T_CONV_INIT` |
  `static int` | `H5T_CSET_ASCII` |
  `static int` | `H5T_CSET_ERROR` |
  `static int` | `H5T_CSET_RESERVED_10` |
  `static int` | `H5T_CSET_RESERVED_11` |
  `static int` | `H5T_CSET_RESERVED_12` |
  `static int` | `H5T_CSET_RESERVED_13` |
  `static int` | `H5T_CSET_RESERVED_14` |
  `static int` | `H5T_CSET_RESERVED_15` |
  `static int` | `H5T_CSET_RESERVED_2` |
  `static int` | `H5T_CSET_RESERVED_3` |
  `static int` | `H5T_CSET_RESERVED_4` |
  `static int` | `H5T_CSET_RESERVED_5` |
  `static int` | `H5T_CSET_RESERVED_6` |
  `static int` | `H5T_CSET_RESERVED_7` |
  `static int` | `H5T_CSET_RESERVED_8` |
  `static int` | `H5T_CSET_RESERVED_9` |
  `static int` | `H5T_CSET_UTF8` |
  `static int` | `H5T_DIR_ASCEND` |
  `static int` | `H5T_DIR_DEFAULT` |
  `static int` | `H5T_DIR_DESCEND` |
  `static int` | `H5T_ENUM` |
  `static int` | `H5T_FLOAT` |
  `static long` | `H5T_FORTRAN_S1` |
  `static long` | `H5T_IEEE_F32BE` |
  `static long` | `H5T_IEEE_F32LE` |
  `static long` | `H5T_IEEE_F64BE` |
  `static long` | `H5T_IEEE_F64LE` |
  `static int` | `H5T_INTEGER` |
  `static long` | `H5T_INTEL_B16` |
  `static long` | `H5T_INTEL_B32` |
  `static long` | `H5T_INTEL_B64` |
  `static long` | `H5T_INTEL_B8` |
  `static long` | `H5T_INTEL_F32` |
  `static long` | `H5T_INTEL_F64` |
  `static long` | `H5T_INTEL_I16` |
  `static long` | `H5T_INTEL_I32` |
  `static long` | `H5T_INTEL_I64` |
  `static long` | `H5T_INTEL_I8` |
  `static long` | `H5T_INTEL_U16` |
  `static long` | `H5T_INTEL_U32` |
  `static long` | `H5T_INTEL_U64` |
  `static long` | `H5T_INTEL_U8` |
  `static long` | `H5T_MIPS_B16` |
  `static long` | `H5T_MIPS_B32` |
  `static long` | `H5T_MIPS_B64` |
  `static long` | `H5T_MIPS_B8` |
  `static long` | `H5T_MIPS_F32` |
  `static long` | `H5T_MIPS_F64` |
  `static long` | `H5T_MIPS_I16` |
  `static long` | `H5T_MIPS_I32` |
  `static long` | `H5T_MIPS_I64` |
  `static long` | `H5T_MIPS_I8` |
  `static long` | `H5T_MIPS_U16` |
  `static long` | `H5T_MIPS_U32` |
  `static long` | `H5T_MIPS_U64` |
  `static long` | `H5T_MIPS_U8` |
  `static long` | `H5T_NATIVE_B16` |
  `static long` | `H5T_NATIVE_B32` |
  `static long` | `H5T_NATIVE_B64` |
  `static long` | `H5T_NATIVE_B8` |
  `static long` | `H5T_NATIVE_CHAR` |
  `static long` | `H5T_NATIVE_DOUBLE` |
  `static long` | `H5T_NATIVE_FLOAT` |
  `static long` | `H5T_NATIVE_HADDR` |
  `static long` | `H5T_NATIVE_HBOOL` |
  `static long` | `H5T_NATIVE_HERR` |
  `static long` | `H5T_NATIVE_HSIZE` |
  `static long` | `H5T_NATIVE_HSSIZE` |
  `static long` | `H5T_NATIVE_INT` |
  `static long` | `H5T_NATIVE_INT_FAST16` |
  `static long` | `H5T_NATIVE_INT_FAST32` |
  `static long` | `H5T_NATIVE_INT_FAST64` |
  `static long` | `H5T_NATIVE_INT_FAST8` |
  `static long` | `H5T_NATIVE_INT_LEAST16` |
  `static long` | `H5T_NATIVE_INT_LEAST32` |
  `static long` | `H5T_NATIVE_INT_LEAST64` |
  `static long` | `H5T_NATIVE_INT_LEAST8` |
  `static long` | `H5T_NATIVE_INT16` |
  `static long` | `H5T_NATIVE_INT32` |
  `static long` | `H5T_NATIVE_INT64` |
  `static long` | `H5T_NATIVE_INT8` |
  `static long` | `H5T_NATIVE_LDOUBLE` |
  `static long` | `H5T_NATIVE_LLONG` |
  `static long` | `H5T_NATIVE_LONG` |
  `static long` | `H5T_NATIVE_OPAQUE` |
  `static long` | `H5T_NATIVE_SCHAR` |
  `static long` | `H5T_NATIVE_SHORT` |
  `static long` | `H5T_NATIVE_UCHAR` |
  `static long` | `H5T_NATIVE_UINT` |
  `static long` | `H5T_NATIVE_UINT_FAST16` |
  `static long` | `H5T_NATIVE_UINT_FAST32` |
  `static long` | `H5T_NATIVE_UINT_FAST64` |
  `static long` | `H5T_NATIVE_UINT_FAST8` |
  `static long` | `H5T_NATIVE_UINT_LEAST16` |
  `static long` | `H5T_NATIVE_UINT_LEAST32` |
  `static long` | `H5T_NATIVE_UINT_LEAST64` |
  `static long` | `H5T_NATIVE_UINT_LEAST8` |
  `static long` | `H5T_NATIVE_UINT16` |
  `static long` | `H5T_NATIVE_UINT32` |
  `static long` | `H5T_NATIVE_UINT64` |
  `static long` | `H5T_NATIVE_UINT8` |
  `static long` | `H5T_NATIVE_ULLONG` |
  `static long` | `H5T_NATIVE_ULONG` |
  `static long` | `H5T_NATIVE_USHORT` |
  `static int` | `H5T_NCLASSES` |
  `static int` | `H5T_NO_CLASS` |
  `static int` | `H5T_NORM_ERROR` |
  `static int` | `H5T_NORM_IMPLIED` |
  `static int` | `H5T_NORM_MSBSET` |
  `static int` | `H5T_NORM_NONE` |
  `static int` | `H5T_NPAD` |
  `static int` | `H5T_NSGN` |
  `static int` | `H5T_OPAQUE` |
  `static int` | `H5T_OPAQUE_TAG_MAX` |
  `static int` | `H5T_ORDER_BE` |
  `static int` | `H5T_ORDER_ERROR` |
  `static int` | `H5T_ORDER_LE` |
  `static int` | `H5T_ORDER_NONE` |
  `static int` | `H5T_ORDER_VAX` |
  `static int` | `H5T_PAD_BACKGROUND` |
  `static int` | `H5T_PAD_ERROR` |
  `static int` | `H5T_PAD_ONE` |
  `static int` | `H5T_PAD_ZERO` |
  `static int` | `H5T_PERS_DONTCARE` |
  `static int` | `H5T_PERS_HARD` |
  `static int` | `H5T_PERS_SOFT` |
  `static int` | `H5T_REFERENCE` |
  `static int` | `H5T_SGN_2` |
  `static int` | `H5T_SGN_ERROR` |
  `static int` | `H5T_SGN_NONE` |
  `static long` | `H5T_STD_B16BE` |
  `static long` | `H5T_STD_B16LE` |
  `static long` | `H5T_STD_B32BE` |
  `static long` | `H5T_STD_B32LE` |
  `static long` | `H5T_STD_B64BE` |
  `static long` | `H5T_STD_B64LE` |
  `static long` | `H5T_STD_B8BE` |
  `static long` | `H5T_STD_B8LE` |
  `static long` | `H5T_STD_I16BE` |
  `static long` | `H5T_STD_I16LE` |
  `static long` | `H5T_STD_I32BE` |
  `static long` | `H5T_STD_I32LE` |
  `static long` | `H5T_STD_I64BE` |
  `static long` | `H5T_STD_I64LE` |
  `static long` | `H5T_STD_I8BE` |
  `static long` | `H5T_STD_I8LE` |
  `static long` | `H5T_STD_REF_DSETREG` |
  `static long` | `H5T_STD_REF_OBJ` |
  `static long` | `H5T_STD_U16BE` |
  `static long` | `H5T_STD_U16LE` |
  `static long` | `H5T_STD_U32BE` |
  `static long` | `H5T_STD_U32LE` |
  `static long` | `H5T_STD_U64BE` |
  `static long` | `H5T_STD_U64LE` |
  `static long` | `H5T_STD_U8BE` |
  `static long` | `H5T_STD_U8LE` |
  `static int` | `H5T_STR_ERROR` |
  `static int` | `H5T_STR_NULLPAD` |
  `static int` | `H5T_STR_NULLTERM` |
  `static int` | `H5T_STR_RESERVED_10` |
  `static int` | `H5T_STR_RESERVED_11` |
  `static int` | `H5T_STR_RESERVED_12` |
  `static int` | `H5T_STR_RESERVED_13` |
  `static int` | `H5T_STR_RESERVED_14` |
  `static int` | `H5T_STR_RESERVED_15` |
  `static int` | `H5T_STR_RESERVED_3` |
  `static int` | `H5T_STR_RESERVED_4` |
  `static int` | `H5T_STR_RESERVED_5` |
  `static int` | `H5T_STR_RESERVED_6` |
  `static int` | `H5T_STR_RESERVED_7` |
  `static int` | `H5T_STR_RESERVED_8` |
  `static int` | `H5T_STR_RESERVED_9` |
  `static int` | `H5T_STR_SPACEPAD` |
  `static int` | `H5T_STRING` |
  `static int` | `H5T_TIME` |
  `static long` | `H5T_UNIX_D32BE` |
  `static long` | `H5T_UNIX_D32LE` |
  `static long` | `H5T_UNIX_D64BE` |
  `static long` | `H5T_UNIX_D64LE` |
  `static long` | `H5T_VARIABLE` |
  `static int` | `H5T_VL_T` |
  `static int` | `H5T_VLEN` |
  `static int` | `H5Z_CB_CONT` |
  `static int` | `H5Z_CB_ERROR` |
  `static int` | `H5Z_CB_FAIL` |
  `static int` | `H5Z_CB_NO` |
  `static int` | `H5Z_DISABLE_EDC` |
  `static int` | `H5Z_ENABLE_EDC` |
  `static int` | `H5Z_ERROR_EDC` |
  `static int` | `H5Z_FILTER_ALL` |
  `static int` | `H5Z_FILTER_CONFIG_DECODE_ENABLED` |
  `static int` | `H5Z_FILTER_CONFIG_ENCODE_ENABLED` |
  `static int` | `H5Z_FILTER_DEFLATE` |
  `static int` | `H5Z_FILTER_ERROR` |
  `static int` | `H5Z_FILTER_FLETCHER32` |
  `static int` | `H5Z_FILTER_MAX` |
  `static int` | `H5Z_FILTER_NBIT` |
  `static int` | `H5Z_FILTER_NONE` |
  `static int` | `H5Z_FILTER_RESERVED` |
  `static int` | `H5Z_FILTER_SCALEOFFSET` |
  `static int` | `H5Z_FILTER_SHUFFLE` |
  `static int` | `H5Z_FILTER_SZIP` |
  `static int` | `H5Z_FLAG_DEFMASK` |
  `static int` | `H5Z_FLAG_INVMASK` |
  `static int` | `H5Z_FLAG_MANDATORY` |
  `static int` | `H5Z_FLAG_OPTIONAL` |
  `static int` | `H5Z_FLAG_REVERSE` |
  `static int` | `H5Z_FLAG_SKIP_EDC` |
  `static int` | `H5Z_MAX_NFILTERS` |
  `static int` | `H5Z_NBIT_USER_NPARMS` |
  `static int` | `H5Z_NO_EDC` |
  `static int` | `H5Z_SCALEOFFSET_USER_NPARMS` |
  `static int` | `H5Z_SHUFFLE_TOTAL_NPARMS` |
  `static int` | `H5Z_SHUFFLE_USER_NPARMS` |
  `static int` | `H5Z_SO_FLOAT_DSCALE` |
  `static int` | `H5Z_SO_FLOAT_ESCALE` |
  `static int` | `H5Z_SO_INT` |
  `static int` | `H5Z_SO_INT_MINBITS_DEFAULT` |
  `static int` | `H5Z_SZIP_PARM_BPP` |
  `static int` | `H5Z_SZIP_PARM_MASK` |
  `static int` | `H5Z_SZIP_PARM_PPB` |
  `static int` | `H5Z_SZIP_PARM_PPS` |
  `static int` | `H5Z_SZIP_TOTAL_NPARMS` |
  `static int` | `H5Z_SZIP_USER_NPARMS` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HDF5Constants()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### H5_QUARTER_HADDR_MAX

    public static final long H5_QUARTER_HADDR_MAX

  - ### H5_SZIP_MAX_PIXELS_PER_BLOCK

    public static final int H5_SZIP_MAX_PIXELS_PER_BLOCK

  - ### H5_SZIP_NN_OPTION_MASK

    public static final int H5_SZIP_NN_OPTION_MASK

  - ### H5_SZIP_EC_OPTION_MASK

    public static final int H5_SZIP_EC_OPTION_MASK

  - ### H5_SZIP_ALLOW_K13_OPTION_MASK

    public static final int H5_SZIP_ALLOW_K13_OPTION_MASK

  - ### H5_SZIP_CHIP_OPTION_MASK

    public static final int H5_SZIP_CHIP_OPTION_MASK

  - ### H5_INDEX_UNKNOWN

    public static final int H5_INDEX_UNKNOWN

  - ### H5_INDEX_NAME

    public static final int H5_INDEX_NAME

  - ### H5_INDEX_CRT_ORDER

    public static final int H5_INDEX_CRT_ORDER

  - ### H5_INDEX_N

    public static final int H5_INDEX_N

  - ### H5_ITER_UNKNOWN

    public static final int H5_ITER_UNKNOWN

  - ### H5_ITER_INC

    public static final int H5_ITER_INC

  - ### H5_ITER_DEC

    public static final int H5_ITER_DEC

  - ### H5_ITER_NATIVE

    public static final int H5_ITER_NATIVE

  - ### H5_ITER_N

    public static final int H5_ITER_N

  - ### H5AC_CURR_CACHE_CONFIG_VERSION

    public static final int H5AC_CURR_CACHE_CONFIG_VERSION

  - ### H5AC_MAX_TRACE_FILE_NAME_LEN

    public static final int H5AC_MAX_TRACE_FILE_NAME_LEN

  - ### H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY

    public static final int H5AC_METADATA_WRITE_STRATEGY_PROCESS_ZERO_ONLY

  - ### H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED

    public static final int H5AC_METADATA_WRITE_STRATEGY_DISTRIBUTED

  - ### H5C_incr_off

    public static final int H5C_incr_off

  - ### H5C_incr_threshold

    public static final int H5C_incr_threshold

  - ### H5C_flash_incr_off

    public static final int H5C_flash_incr_off

  - ### H5C_flash_incr_add_space

    public static final int H5C_flash_incr_add_space

  - ### H5C_decr_off

    public static final int H5C_decr_off

  - ### H5C_decr_threshold

    public static final int H5C_decr_threshold

  - ### H5C_decr_age_out

    public static final int H5C_decr_age_out

  - ### H5C_decr_age_out_with_threshold

    public static final int H5C_decr_age_out_with_threshold

  - ### H5D_CHUNK_IDX_BTREE

    public static final int H5D_CHUNK_IDX_BTREE

  - ### H5D_ALLOC_TIME_DEFAULT

    public static final int H5D_ALLOC_TIME_DEFAULT

  - ### H5D_ALLOC_TIME_EARLY

    public static final int H5D_ALLOC_TIME_EARLY

  - ### H5D_ALLOC_TIME_ERROR

    public static final int H5D_ALLOC_TIME_ERROR

  - ### H5D_ALLOC_TIME_INCR

    public static final int H5D_ALLOC_TIME_INCR

  - ### H5D_ALLOC_TIME_LATE

    public static final int H5D_ALLOC_TIME_LATE

  - ### H5D_FILL_TIME_ERROR

    public static final int H5D_FILL_TIME_ERROR

  - ### H5D_FILL_TIME_ALLOC

    public static final int H5D_FILL_TIME_ALLOC

  - ### H5D_FILL_TIME_NEVER

    public static final int H5D_FILL_TIME_NEVER

  - ### H5D_FILL_TIME_IFSET

    public static final int H5D_FILL_TIME_IFSET

  - ### H5D_FILL_VALUE_DEFAULT

    public static final int H5D_FILL_VALUE_DEFAULT

  - ### H5D_FILL_VALUE_ERROR

    public static final int H5D_FILL_VALUE_ERROR

  - ### H5D_FILL_VALUE_UNDEFINED

    public static final int H5D_FILL_VALUE_UNDEFINED

  - ### H5D_FILL_VALUE_USER_DEFINED

    public static final int H5D_FILL_VALUE_USER_DEFINED

  - ### H5D_LAYOUT_ERROR

    public static final int H5D_LAYOUT_ERROR

  - ### H5D_CHUNKED

    public static final int H5D_CHUNKED

  - ### H5D_COMPACT

    public static final int H5D_COMPACT

  - ### H5D_CONTIGUOUS

    public static final int H5D_CONTIGUOUS

  - ### H5D_VIRTUAL

    public static final int H5D_VIRTUAL

  - ### H5D_NLAYOUTS

    public static final int H5D_NLAYOUTS

  - ### H5D_SPACE_STATUS_ALLOCATED

    public static final int H5D_SPACE_STATUS_ALLOCATED

  - ### H5D_SPACE_STATUS_ERROR

    public static final int H5D_SPACE_STATUS_ERROR

  - ### H5D_SPACE_STATUS_NOT_ALLOCATED

    public static final int H5D_SPACE_STATUS_NOT_ALLOCATED

  - ### H5D_SPACE_STATUS_PART_ALLOCATED

    public static final int H5D_SPACE_STATUS_PART_ALLOCATED

  - ### H5D_VDS_ERROR

    public static final int H5D_VDS_ERROR

  - ### H5D_VDS_FIRST_MISSING

    public static final int H5D_VDS_FIRST_MISSING

  - ### H5D_VDS_LAST_AVAILABLE

    public static final int H5D_VDS_LAST_AVAILABLE

  - ### H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS

    public static final int H5D_CHUNK_DONT_FILTER_PARTIAL_CHUNKS

  - ### H5E_MAJOR

    public static final int H5E_MAJOR

  - ### H5E_MINOR

    public static final int H5E_MINOR

  - ### H5E_ALIGNMENT

    public static final long H5E_ALIGNMENT

  - ### H5E_ALREADYEXISTS

    public static final long H5E_ALREADYEXISTS

  - ### H5E_ALREADYINIT

    public static final long H5E_ALREADYINIT

  - ### H5E_ARGS

    public static final long H5E_ARGS

  - ### H5E_ATOM

    public static final long H5E_ATOM

  - ### H5E_ATTR

    public static final long H5E_ATTR

  - ### H5E_BADATOM

    public static final long H5E_BADATOM

  - ### H5E_BADFILE

    public static final long H5E_BADFILE

  - ### H5E_BADGROUP

    public static final long H5E_BADGROUP

  - ### H5E_BADMESG

    public static final long H5E_BADMESG

  - ### H5E_BADRANGE

    public static final long H5E_BADRANGE

  - ### H5E_BADSELECT

    public static final long H5E_BADSELECT

  - ### H5E_BADSIZE

    public static final long H5E_BADSIZE

  - ### H5E_BADTYPE

    public static final long H5E_BADTYPE

  - ### H5E_BADVALUE

    public static final long H5E_BADVALUE

  - ### H5E_BTREE

    public static final long H5E_BTREE

  - ### H5E_CACHE

    public static final long H5E_CACHE

  - ### H5E_CALLBACK

    public static final long H5E_CALLBACK

  - ### H5E_CANAPPLY

    public static final long H5E_CANAPPLY

  - ### H5E_CANTCLIP

    public static final long H5E_CANTCLIP

  - ### H5E_CANTCLOSEFILE

    public static final long H5E_CANTCLOSEFILE

  - ### H5E_CANTCONVERT

    public static final long H5E_CANTCONVERT

  - ### H5E_CANTCOPY

    public static final long H5E_CANTCOPY

  - ### H5E_CANTCOUNT

    public static final long H5E_CANTCOUNT

  - ### H5E_CANTCREATE

    public static final long H5E_CANTCREATE

  - ### H5E_CANTDEC

    public static final long H5E_CANTDEC

  - ### H5E_CANTDECODE

    public static final long H5E_CANTDECODE

  - ### H5E_CANTDELETE

    public static final long H5E_CANTDELETE

  - ### H5E_CANTENCODE

    public static final long H5E_CANTENCODE

  - ### H5E_CANTFLUSH

    public static final long H5E_CANTFLUSH

  - ### H5E_CANTFREE

    public static final long H5E_CANTFREE

  - ### H5E_CANTGET

    public static final long H5E_CANTGET

  - ### H5E_CANTINC

    public static final long H5E_CANTINC

  - ### H5E_CANTINIT

    public static final long H5E_CANTINIT

  - ### H5E_CANTINSERT

    public static final long H5E_CANTINSERT

  - ### H5E_CANTLIST

    public static final long H5E_CANTLIST

  - ### H5E_CANTLOAD

    public static final long H5E_CANTLOAD

  - ### H5E_CANTLOCK

    public static final long H5E_CANTLOCK

  - ### H5E_CANTNEXT

    public static final long H5E_CANTNEXT

  - ### H5E_CANTOPENFILE

    public static final long H5E_CANTOPENFILE

  - ### H5E_CANTOPENOBJ

    public static final long H5E_CANTOPENOBJ

  - ### H5E_CANTREGISTER

    public static final long H5E_CANTREGISTER

  - ### H5E_CANTRELEASE

    public static final long H5E_CANTRELEASE

  - ### H5E_CANTSELECT

    public static final long H5E_CANTSELECT

  - ### H5E_CANTSET

    public static final long H5E_CANTSET

  - ### H5E_CANTSPLIT

    public static final long H5E_CANTSPLIT

  - ### H5E_CANTUNLOCK

    public static final long H5E_CANTUNLOCK

  - ### H5E_CLOSEERROR

    public static final long H5E_CLOSEERROR

  - ### H5E_COMPLEN

    public static final long H5E_COMPLEN

  - ### H5E_DATASET

    public static final long H5E_DATASET

  - ### H5E_DATASPACE

    public static final long H5E_DATASPACE

  - ### H5E_DATATYPE

    public static final long H5E_DATATYPE

  - ### H5E_DEFAULT

    public static final long H5E_DEFAULT

  - ### H5E_DUPCLASS

    public static final long H5E_DUPCLASS

  - ### H5E_EFL

    public static final long H5E_EFL

  - ### H5E_EXISTS

    public static final long H5E_EXISTS

  - ### H5E_FCNTL

    public static final long H5E_FCNTL

  - ### H5E_FILE

    public static final long H5E_FILE

  - ### H5E_FILEEXISTS

    public static final long H5E_FILEEXISTS

  - ### H5E_FILEOPEN

    public static final long H5E_FILEOPEN

  - ### H5E_FUNC

    public static final long H5E_FUNC

  - ### H5E_HEAP

    public static final long H5E_HEAP

  - ### H5E_INTERNAL

    public static final long H5E_INTERNAL

  - ### H5E_IO

    public static final long H5E_IO

  - ### H5E_LINK

    public static final long H5E_LINK

  - ### H5E_LINKCOUNT

    public static final long H5E_LINKCOUNT

  - ### H5E_MOUNT

    public static final long H5E_MOUNT

  - ### H5E_MPI

    public static final long H5E_MPI

  - ### H5E_MPIERRSTR

    public static final long H5E_MPIERRSTR

  - ### H5E_NOFILTER

    public static final long H5E_NOFILTER

  - ### H5E_NOIDS

    public static final long H5E_NOIDS

  - ### H5E_NONE_MAJOR

    public static final long H5E_NONE_MAJOR

  - ### H5E_NONE_MINOR

    public static final long H5E_NONE_MINOR

  - ### H5E_NOSPACE

    public static final long H5E_NOSPACE

  - ### H5E_NOTCACHED

    public static final long H5E_NOTCACHED

  - ### H5E_NOTFOUND

    public static final long H5E_NOTFOUND

  - ### H5E_NOTHDF5

    public static final long H5E_NOTHDF5

  - ### H5E_OHDR

    public static final long H5E_OHDR

  - ### H5E_OVERFLOW

    public static final long H5E_OVERFLOW

  - ### H5E_PLINE

    public static final long H5E_PLINE

  - ### H5E_PLIST

    public static final long H5E_PLIST

  - ### H5E_PROTECT

    public static final long H5E_PROTECT

  - ### H5E_READERROR

    public static final long H5E_READERROR

  - ### H5E_REFERENCE

    public static final long H5E_REFERENCE

  - ### H5E_RESOURCE

    public static final long H5E_RESOURCE

  - ### H5E_RS

    public static final long H5E_RS

  - ### H5E_SEEKERROR

    public static final long H5E_SEEKERROR

  - ### H5E_SETLOCAL

    public static final long H5E_SETLOCAL

  - ### H5E_STORAGE

    public static final long H5E_STORAGE

  - ### H5E_SYM

    public static final long H5E_SYM

  - ### H5E_TRUNCATED

    public static final long H5E_TRUNCATED

  - ### H5E_TST

    public static final long H5E_TST

  - ### H5E_UNINITIALIZED

    public static final long H5E_UNINITIALIZED

  - ### H5E_UNSUPPORTED

    public static final long H5E_UNSUPPORTED

  - ### H5E_VERSION

    public static final long H5E_VERSION

  - ### H5E_VFL

    public static final long H5E_VFL

  - ### H5E_WALK_DOWNWARD

    public static final long H5E_WALK_DOWNWARD

  - ### H5E_WALK_UPWARD

    public static final long H5E_WALK_UPWARD

  - ### H5E_WRITEERROR

    public static final long H5E_WRITEERROR

  - ### H5F_ACC_CREAT

    public static final int H5F_ACC_CREAT

  - ### H5F_ACC_EXCL

    public static final int H5F_ACC_EXCL

  - ### H5F_ACC_RDONLY

    public static final int H5F_ACC_RDONLY

  - ### H5F_ACC_RDWR

    public static final int H5F_ACC_RDWR

  - ### H5F_ACC_TRUNC

    public static final int H5F_ACC_TRUNC

  - ### H5F_ACC_DEFAULT

    public static final int H5F_ACC_DEFAULT

  - ### H5F_ACC_SWMR_READ

    public static final int H5F_ACC_SWMR_READ

  - ### H5F_ACC_SWMR_WRITE

    public static final int H5F_ACC_SWMR_WRITE

  - ### H5F_CLOSE_DEFAULT

    public static final int H5F_CLOSE_DEFAULT

  - ### H5F_CLOSE_SEMI

    public static final int H5F_CLOSE_SEMI

  - ### H5F_CLOSE_STRONG

    public static final int H5F_CLOSE_STRONG

  - ### H5F_CLOSE_WEAK

    public static final int H5F_CLOSE_WEAK

  - ### H5F_LIBVER_ERROR

    public static final int H5F_LIBVER_ERROR

  - ### H5F_LIBVER_EARLIEST

    public static final int H5F_LIBVER_EARLIEST

  - ### H5F_LIBVER_V18

    public static final int H5F_LIBVER_V18

  - ### H5F_LIBVER_V110

    public static final int H5F_LIBVER_V110

  - ### H5F_LIBVER_NBOUNDS

    public static final int H5F_LIBVER_NBOUNDS

  - ### H5F_LIBVER_LATEST

    public static final int H5F_LIBVER_LATEST

  - ### H5F_OBJ_ALL

    public static final int H5F_OBJ_ALL

  - ### H5F_OBJ_ATTR

    public static final int H5F_OBJ_ATTR

  - ### H5F_OBJ_DATASET

    public static final int H5F_OBJ_DATASET

  - ### H5F_OBJ_DATATYPE

    public static final int H5F_OBJ_DATATYPE

  - ### H5F_OBJ_FILE

    public static final int H5F_OBJ_FILE

  - ### H5F_OBJ_GROUP

    public static final int H5F_OBJ_GROUP

  - ### H5F_OBJ_LOCAL

    public static final int H5F_OBJ_LOCAL

  - ### H5F_SCOPE_GLOBAL

    public static final int H5F_SCOPE_GLOBAL

  - ### H5F_SCOPE_LOCAL

    public static final int H5F_SCOPE_LOCAL

  - ### H5F_UNLIMITED

    public static final int H5F_UNLIMITED

  - ### H5F_FSPACE_STRATEGY_FSM_AGGR

    public static final int H5F_FSPACE_STRATEGY_FSM_AGGR

  - ### H5F_FSPACE_STRATEGY_AGGR

    public static final int H5F_FSPACE_STRATEGY_AGGR

  - ### H5F_FSPACE_STRATEGY_PAGE

    public static final int H5F_FSPACE_STRATEGY_PAGE

  - ### H5F_FSPACE_STRATEGY_NONE

    public static final int H5F_FSPACE_STRATEGY_NONE

  - ### H5F_FSPACE_STRATEGY_NTYPES

    public static final int H5F_FSPACE_STRATEGY_NTYPES

  - ### H5FD_CORE

    public static final long H5FD_CORE

  - ### H5FD_DIRECT

    public static final long H5FD_DIRECT

  - ### H5FD_FAMILY

    public static final long H5FD_FAMILY

  - ### H5FD_LOG

    public static final long H5FD_LOG

  - ### H5FD_MPIO

    public static final long H5FD_MPIO

  - ### H5FD_MULTI

    public static final long H5FD_MULTI

  - ### H5FD_SEC2

    public static final long H5FD_SEC2

  - ### H5FD_STDIO

    public static final long H5FD_STDIO

  - ### H5FD_WINDOWS

    public static final long H5FD_WINDOWS

  - ### H5FD_ROS3

    public static final long H5FD_ROS3

  - ### H5FD_HDFS

    public static final long H5FD_HDFS

  - ### H5FD_LOG_LOC_READ

    public static final int H5FD_LOG_LOC_READ

  - ### H5FD_LOG_LOC_WRITE

    public static final int H5FD_LOG_LOC_WRITE

  - ### H5FD_LOG_LOC_SEEK

    public static final int H5FD_LOG_LOC_SEEK

  - ### H5FD_LOG_LOC_IO

    public static final int H5FD_LOG_LOC_IO

  - ### H5FD_LOG_FILE_READ

    public static final int H5FD_LOG_FILE_READ

  - ### H5FD_LOG_FILE_WRITE

    public static final int H5FD_LOG_FILE_WRITE

  - ### H5FD_LOG_FILE_IO

    public static final int H5FD_LOG_FILE_IO

  - ### H5FD_LOG_FLAVOR

    public static final int H5FD_LOG_FLAVOR

  - ### H5FD_LOG_NUM_READ

    public static final int H5FD_LOG_NUM_READ

  - ### H5FD_LOG_NUM_WRITE

    public static final int H5FD_LOG_NUM_WRITE

  - ### H5FD_LOG_NUM_SEEK

    public static final int H5FD_LOG_NUM_SEEK

  - ### H5FD_LOG_NUM_TRUNCATE

    public static final int H5FD_LOG_NUM_TRUNCATE

  - ### H5FD_LOG_NUM_IO

    public static final int H5FD_LOG_NUM_IO

  - ### H5FD_LOG_TIME_OPEN

    public static final int H5FD_LOG_TIME_OPEN

  - ### H5FD_LOG_TIME_STAT

    public static final int H5FD_LOG_TIME_STAT

  - ### H5FD_LOG_TIME_READ

    public static final int H5FD_LOG_TIME_READ

  - ### H5FD_LOG_TIME_WRITE

    public static final int H5FD_LOG_TIME_WRITE

  - ### H5FD_LOG_TIME_SEEK

    public static final int H5FD_LOG_TIME_SEEK

  - ### H5FD_LOG_TIME_CLOSE

    public static final int H5FD_LOG_TIME_CLOSE

  - ### H5FD_LOG_TIME_IO

    public static final int H5FD_LOG_TIME_IO

  - ### H5FD_LOG_ALLOC

    public static final int H5FD_LOG_ALLOC

  - ### H5FD_LOG_ALL

    public static final int H5FD_LOG_ALL

  - ### H5FD_MEM_NOLIST

    public static final int H5FD_MEM_NOLIST

  - ### H5FD_MEM_DEFAULT

    public static final int H5FD_MEM_DEFAULT

  - ### H5FD_MEM_SUPER

    public static final int H5FD_MEM_SUPER

  - ### H5FD_MEM_BTREE

    public static final int H5FD_MEM_BTREE

  - ### H5FD_MEM_DRAW

    public static final int H5FD_MEM_DRAW

  - ### H5FD_MEM_GHEAP

    public static final int H5FD_MEM_GHEAP

  - ### H5FD_MEM_LHEAP

    public static final int H5FD_MEM_LHEAP

  - ### H5FD_MEM_OHDR

    public static final int H5FD_MEM_OHDR

  - ### H5FD_MEM_NTYPES

    public static final int H5FD_MEM_NTYPES

  - ### H5FD_DEFAULT_HADDR_SIZE

    public static final long H5FD_DEFAULT_HADDR_SIZE

  - ### H5FD_MEM_DEFAULT_SIZE

    public static final long H5FD_MEM_DEFAULT_SIZE

  - ### H5FD_MEM_DEFAULT_SUPER_SIZE

    public static final long H5FD_MEM_DEFAULT_SUPER_SIZE

  - ### H5FD_MEM_DEFAULT_BTREE_SIZE

    public static final long H5FD_MEM_DEFAULT_BTREE_SIZE

  - ### H5FD_MEM_DEFAULT_DRAW_SIZE

    public static final long H5FD_MEM_DEFAULT_DRAW_SIZE

  - ### H5FD_MEM_DEFAULT_GHEAP_SIZE

    public static final long H5FD_MEM_DEFAULT_GHEAP_SIZE

  - ### H5FD_MEM_DEFAULT_LHEAP_SIZE

    public static final long H5FD_MEM_DEFAULT_LHEAP_SIZE

  - ### H5FD_MEM_DEFAULT_OHDR_SIZE

    public static final long H5FD_MEM_DEFAULT_OHDR_SIZE

  - ### H5G_STORAGE_TYPE_UNKNOWN

    public static final int H5G_STORAGE_TYPE_UNKNOWN

  - ### H5G_STORAGE_TYPE_SYMBOL_TABLE

    public static final int H5G_STORAGE_TYPE_SYMBOL_TABLE

  - ### H5G_STORAGE_TYPE_COMPACT

    public static final int H5G_STORAGE_TYPE_COMPACT

  - ### H5G_STORAGE_TYPE_DENSE

    public static final int H5G_STORAGE_TYPE_DENSE

  - ### H5I_ATTR

    public static final int H5I_ATTR

  - ### H5I_BADID

    public static final int H5I_BADID

  - ### H5I_DATASET

    public static final int H5I_DATASET

  - ### H5I_DATASPACE

    public static final int H5I_DATASPACE

  - ### H5I_DATATYPE

    public static final int H5I_DATATYPE

  - ### H5I_ERROR_CLASS

    public static final int H5I_ERROR_CLASS

  - ### H5I_ERROR_MSG

    public static final int H5I_ERROR_MSG

  - ### H5I_ERROR_STACK

    public static final int H5I_ERROR_STACK

  - ### H5I_FILE

    public static final int H5I_FILE

  - ### H5I_GENPROP_CLS

    public static final int H5I_GENPROP_CLS

  - ### H5I_GENPROP_LST

    public static final int H5I_GENPROP_LST

  - ### H5I_GROUP

    public static final int H5I_GROUP

  - ### H5I_INVALID_HID

    public static final int H5I_INVALID_HID

  - ### H5I_NTYPES

    public static final int H5I_NTYPES

  - ### H5I_REFERENCE

    public static final int H5I_REFERENCE

  - ### H5I_UNINIT

    public static final int H5I_UNINIT

  - ### H5I_VFL

    public static final int H5I_VFL

  - ### H5L_TYPE_ERROR

    public static final int H5L_TYPE_ERROR

  - ### H5L_TYPE_HARD

    public static final int H5L_TYPE_HARD

  - ### H5L_TYPE_SOFT

    public static final int H5L_TYPE_SOFT

  - ### H5L_TYPE_EXTERNAL

    public static final int H5L_TYPE_EXTERNAL

  - ### H5L_TYPE_MAX

    public static final int H5L_TYPE_MAX

  - ### H5O_COPY_SHALLOW_HIERARCHY_FLAG

    public static final int H5O_COPY_SHALLOW_HIERARCHY_FLAG

  - ### H5O_COPY_EXPAND_SOFT_LINK_FLAG

    public static final int H5O_COPY_EXPAND_SOFT_LINK_FLAG

  - ### H5O_COPY_EXPAND_EXT_LINK_FLAG

    public static final int H5O_COPY_EXPAND_EXT_LINK_FLAG

  - ### H5O_COPY_EXPAND_REFERENCE_FLAG

    public static final int H5O_COPY_EXPAND_REFERENCE_FLAG

  - ### H5O_COPY_WITHOUT_ATTR_FLAG

    public static final int H5O_COPY_WITHOUT_ATTR_FLAG

  - ### H5O_COPY_PRESERVE_NULL_FLAG

    public static final int H5O_COPY_PRESERVE_NULL_FLAG

  - ### H5O_INFO_BASIC

    public static final int H5O_INFO_BASIC

  - ### H5O_INFO_TIME

    public static final int H5O_INFO_TIME

  - ### H5O_INFO_NUM_ATTRS

    public static final int H5O_INFO_NUM_ATTRS

  - ### H5O_INFO_HDR

    public static final int H5O_INFO_HDR

  - ### H5O_INFO_META_SIZE

    public static final int H5O_INFO_META_SIZE

  - ### H5O_INFO_ALL

    public static final int H5O_INFO_ALL

  - ### H5O_SHMESG_NONE_FLAG

    public static final int H5O_SHMESG_NONE_FLAG

  - ### H5O_SHMESG_SDSPACE_FLAG

    public static final int H5O_SHMESG_SDSPACE_FLAG

  - ### H5O_SHMESG_DTYPE_FLAG

    public static final int H5O_SHMESG_DTYPE_FLAG

  - ### H5O_SHMESG_FILL_FLAG

    public static final int H5O_SHMESG_FILL_FLAG

  - ### H5O_SHMESG_PLINE_FLAG

    public static final int H5O_SHMESG_PLINE_FLAG

  - ### H5O_SHMESG_ATTR_FLAG

    public static final int H5O_SHMESG_ATTR_FLAG

  - ### H5O_SHMESG_ALL_FLAG

    public static final int H5O_SHMESG_ALL_FLAG

  - ### H5O_TYPE_UNKNOWN

    public static final int H5O_TYPE_UNKNOWN

  - ### H5O_TYPE_GROUP

    public static final int H5O_TYPE_GROUP

  - ### H5O_TYPE_DATASET

    public static final int H5O_TYPE_DATASET

  - ### H5O_TYPE_NAMED_DATATYPE

    public static final int H5O_TYPE_NAMED_DATATYPE

  - ### H5O_TYPE_NTYPES

    public static final int H5O_TYPE_NTYPES

  - ### H5P_ROOT

    public static final long H5P_ROOT

  - ### H5P_OBJECT_CREATE

    public static final long H5P_OBJECT_CREATE

  - ### H5P_FILE_CREATE

    public static final long H5P_FILE_CREATE

  - ### H5P_FILE_ACCESS

    public static final long H5P_FILE_ACCESS

  - ### H5P_DATASET_CREATE

    public static final long H5P_DATASET_CREATE

  - ### H5P_DATASET_ACCESS

    public static final long H5P_DATASET_ACCESS

  - ### H5P_DATASET_XFER

    public static final long H5P_DATASET_XFER

  - ### H5P_FILE_MOUNT

    public static final long H5P_FILE_MOUNT

  - ### H5P_GROUP_CREATE

    public static final long H5P_GROUP_CREATE

  - ### H5P_GROUP_ACCESS

    public static final long H5P_GROUP_ACCESS

  - ### H5P_DATATYPE_CREATE

    public static final long H5P_DATATYPE_CREATE

  - ### H5P_DATATYPE_ACCESS

    public static final long H5P_DATATYPE_ACCESS

  - ### H5P_STRING_CREATE

    public static final long H5P_STRING_CREATE

  - ### H5P_ATTRIBUTE_CREATE

    public static final long H5P_ATTRIBUTE_CREATE

  - ### H5P_ATTRIBUTE_ACCESS

    public static final long H5P_ATTRIBUTE_ACCESS

  - ### H5P_OBJECT_COPY

    public static final long H5P_OBJECT_COPY

  - ### H5P_LINK_CREATE

    public static final long H5P_LINK_CREATE

  - ### H5P_LINK_ACCESS

    public static final long H5P_LINK_ACCESS

  - ### H5P_FILE_CREATE_DEFAULT

    public static final long H5P_FILE_CREATE_DEFAULT

  - ### H5P_FILE_ACCESS_DEFAULT

    public static final long H5P_FILE_ACCESS_DEFAULT

  - ### H5P_DATASET_CREATE_DEFAULT

    public static final long H5P_DATASET_CREATE_DEFAULT

  - ### H5P_DATASET_ACCESS_DEFAULT

    public static final long H5P_DATASET_ACCESS_DEFAULT

  - ### H5P_DATASET_XFER_DEFAULT

    public static final long H5P_DATASET_XFER_DEFAULT

  - ### H5P_FILE_MOUNT_DEFAULT

    public static final long H5P_FILE_MOUNT_DEFAULT

  - ### H5P_GROUP_CREATE_DEFAULT

    public static final long H5P_GROUP_CREATE_DEFAULT

  - ### H5P_GROUP_ACCESS_DEFAULT

    public static final long H5P_GROUP_ACCESS_DEFAULT

  - ### H5P_DATATYPE_CREATE_DEFAULT

    public static final long H5P_DATATYPE_CREATE_DEFAULT

  - ### H5P_DATATYPE_ACCESS_DEFAULT

    public static final long H5P_DATATYPE_ACCESS_DEFAULT

  - ### H5P_ATTRIBUTE_CREATE_DEFAULT

    public static final long H5P_ATTRIBUTE_CREATE_DEFAULT

  - ### H5P_ATTRIBUTE_ACCESS_DEFAULT

    public static final long H5P_ATTRIBUTE_ACCESS_DEFAULT

  - ### H5P_OBJECT_COPY_DEFAULT

    public static final long H5P_OBJECT_COPY_DEFAULT

  - ### H5P_LINK_CREATE_DEFAULT

    public static final long H5P_LINK_CREATE_DEFAULT

  - ### H5P_LINK_ACCESS_DEFAULT

    public static final long H5P_LINK_ACCESS_DEFAULT

  - ### H5P_CRT_ORDER_TRACKED

    public static final int H5P_CRT_ORDER_TRACKED

  - ### H5P_CRT_ORDER_INDEXED

    public static final int H5P_CRT_ORDER_INDEXED

  - ### H5P_DEFAULT

    public static final long H5P_DEFAULT

  - ### H5PL_TYPE_ERROR

    public static final int H5PL_TYPE_ERROR

  - ### H5PL_TYPE_FILTER

    public static final int H5PL_TYPE_FILTER

  - ### H5PL_FILTER_PLUGIN

    public static final int H5PL_FILTER_PLUGIN

  - ### H5PL_ALL_PLUGIN

    public static final int H5PL_ALL_PLUGIN

  - ### H5R_BADTYPE

    public static final int H5R_BADTYPE

  - ### H5R_DATASET_REGION

    public static final int H5R_DATASET_REGION

  - ### H5R_MAXTYPE

    public static final int H5R_MAXTYPE

  - ### H5R_OBJ_REF_BUF_SIZE

    public static final int H5R_OBJ_REF_BUF_SIZE

  - ### H5R_OBJECT

    public static final int H5R_OBJECT

  - ### H5S_ALL

    public static final int H5S_ALL

  - ### H5S_MAX_RANK

    public static final int H5S_MAX_RANK

  - ### H5S_NO_CLASS

    public static final int H5S_NO_CLASS

  - ### H5S_NULL

    public static final int H5S_NULL

  - ### H5S_SCALAR

    public static final int H5S_SCALAR

  - ### H5S_SEL_ALL

    public static final int H5S_SEL_ALL

  - ### H5S_SEL_ERROR

    public static final int H5S_SEL_ERROR

  - ### H5S_SEL_HYPERSLABS

    public static final int H5S_SEL_HYPERSLABS

  - ### H5S_SEL_N

    public static final int H5S_SEL_N

  - ### H5S_SEL_NONE

    public static final int H5S_SEL_NONE

  - ### H5S_SEL_POINTS

    public static final int H5S_SEL_POINTS

  - ### H5S_SELECT_AND

    public static final int H5S_SELECT_AND

  - ### H5S_SELECT_APPEND

    public static final int H5S_SELECT_APPEND

  - ### H5S_SELECT_INVALID

    public static final int H5S_SELECT_INVALID

  - ### H5S_SELECT_NOOP

    public static final int H5S_SELECT_NOOP

  - ### H5S_SELECT_NOTA

    public static final int H5S_SELECT_NOTA

  - ### H5S_SELECT_NOTB

    public static final int H5S_SELECT_NOTB

  - ### H5S_SELECT_OR

    public static final int H5S_SELECT_OR

  - ### H5S_SELECT_PREPEND

    public static final int H5S_SELECT_PREPEND

  - ### H5S_SELECT_SET

    public static final int H5S_SELECT_SET

  - ### H5S_SELECT_XOR

    public static final int H5S_SELECT_XOR

  - ### H5S_SIMPLE

    public static final int H5S_SIMPLE

  - ### H5S_UNLIMITED

    public static final int H5S_UNLIMITED

  - ### H5T_ALPHA_B16

    public static final long H5T_ALPHA_B16

  - ### H5T_ALPHA_B32

    public static final long H5T_ALPHA_B32

  - ### H5T_ALPHA_B64

    public static final long H5T_ALPHA_B64

  - ### H5T_ALPHA_B8

    public static final long H5T_ALPHA_B8

  - ### H5T_ALPHA_F32

    public static final long H5T_ALPHA_F32

  - ### H5T_ALPHA_F64

    public static final long H5T_ALPHA_F64

  - ### H5T_ALPHA_I16

    public static final long H5T_ALPHA_I16

  - ### H5T_ALPHA_I32

    public static final long H5T_ALPHA_I32

  - ### H5T_ALPHA_I64

    public static final long H5T_ALPHA_I64

  - ### H5T_ALPHA_I8

    public static final long H5T_ALPHA_I8

  - ### H5T_ALPHA_U16

    public static final long H5T_ALPHA_U16

  - ### H5T_ALPHA_U32

    public static final long H5T_ALPHA_U32

  - ### H5T_ALPHA_U64

    public static final long H5T_ALPHA_U64

  - ### H5T_ALPHA_U8

    public static final long H5T_ALPHA_U8

  - ### H5T_ARRAY

    public static final int H5T_ARRAY

  - ### H5T_BITFIELD

    public static final int H5T_BITFIELD

  - ### H5T_BKG_NO

    public static final int H5T_BKG_NO

  - ### H5T_BKG_YES

    public static final int H5T_BKG_YES

  - ### H5T_C_S1

    public static final long H5T_C_S1

  - ### H5T_COMPOUND

    public static final int H5T_COMPOUND

  - ### H5T_CONV_CONV

    public static final int H5T_CONV_CONV

  - ### H5T_CONV_FREE

    public static final int H5T_CONV_FREE

  - ### H5T_CONV_INIT

    public static final int H5T_CONV_INIT

  - ### H5T_CSET_ERROR

    public static final int H5T_CSET_ERROR

  - ### H5T_CSET_ASCII

    public static final int H5T_CSET_ASCII

  - ### H5T_CSET_UTF8

    public static final int H5T_CSET_UTF8

  - ### H5T_CSET_RESERVED_10

    public static final int H5T_CSET_RESERVED_10

  - ### H5T_CSET_RESERVED_11

    public static final int H5T_CSET_RESERVED_11

  - ### H5T_CSET_RESERVED_12

    public static final int H5T_CSET_RESERVED_12

  - ### H5T_CSET_RESERVED_13

    public static final int H5T_CSET_RESERVED_13

  - ### H5T_CSET_RESERVED_14

    public static final int H5T_CSET_RESERVED_14

  - ### H5T_CSET_RESERVED_15

    public static final int H5T_CSET_RESERVED_15

  - ### H5T_CSET_RESERVED_2

    public static final int H5T_CSET_RESERVED_2

  - ### H5T_CSET_RESERVED_3

    public static final int H5T_CSET_RESERVED_3

  - ### H5T_CSET_RESERVED_4

    public static final int H5T_CSET_RESERVED_4

  - ### H5T_CSET_RESERVED_5

    public static final int H5T_CSET_RESERVED_5

  - ### H5T_CSET_RESERVED_6

    public static final int H5T_CSET_RESERVED_6

  - ### H5T_CSET_RESERVED_7

    public static final int H5T_CSET_RESERVED_7

  - ### H5T_CSET_RESERVED_8

    public static final int H5T_CSET_RESERVED_8

  - ### H5T_CSET_RESERVED_9

    public static final int H5T_CSET_RESERVED_9

  - ### H5T_DIR_ASCEND

    public static final int H5T_DIR_ASCEND

  - ### H5T_DIR_DEFAULT

    public static final int H5T_DIR_DEFAULT

  - ### H5T_DIR_DESCEND

    public static final int H5T_DIR_DESCEND

  - ### H5T_ENUM

    public static final int H5T_ENUM

  - ### H5T_FLOAT

    public static final int H5T_FLOAT

  - ### H5T_FORTRAN_S1

    public static final long H5T_FORTRAN_S1

  - ### H5T_IEEE_F32BE

    public static final long H5T_IEEE_F32BE

  - ### H5T_IEEE_F32LE

    public static final long H5T_IEEE_F32LE

  - ### H5T_IEEE_F64BE

    public static final long H5T_IEEE_F64BE

  - ### H5T_IEEE_F64LE

    public static final long H5T_IEEE_F64LE

  - ### H5T_INTEGER

    public static final int H5T_INTEGER

  - ### H5T_INTEL_B16

    public static final long H5T_INTEL_B16

  - ### H5T_INTEL_B32

    public static final long H5T_INTEL_B32

  - ### H5T_INTEL_B64

    public static final long H5T_INTEL_B64

  - ### H5T_INTEL_B8

    public static final long H5T_INTEL_B8

  - ### H5T_INTEL_F32

    public static final long H5T_INTEL_F32

  - ### H5T_INTEL_F64

    public static final long H5T_INTEL_F64

  - ### H5T_INTEL_I16

    public static final long H5T_INTEL_I16

  - ### H5T_INTEL_I32

    public static final long H5T_INTEL_I32

  - ### H5T_INTEL_I64

    public static final long H5T_INTEL_I64

  - ### H5T_INTEL_I8

    public static final long H5T_INTEL_I8

  - ### H5T_INTEL_U16

    public static final long H5T_INTEL_U16

  - ### H5T_INTEL_U32

    public static final long H5T_INTEL_U32

  - ### H5T_INTEL_U64

    public static final long H5T_INTEL_U64

  - ### H5T_INTEL_U8

    public static final long H5T_INTEL_U8

  - ### H5T_MIPS_B16

    public static final long H5T_MIPS_B16

  - ### H5T_MIPS_B32

    public static final long H5T_MIPS_B32

  - ### H5T_MIPS_B64

    public static final long H5T_MIPS_B64

  - ### H5T_MIPS_B8

    public static final long H5T_MIPS_B8

  - ### H5T_MIPS_F32

    public static final long H5T_MIPS_F32

  - ### H5T_MIPS_F64

    public static final long H5T_MIPS_F64

  - ### H5T_MIPS_I16

    public static final long H5T_MIPS_I16

  - ### H5T_MIPS_I32

    public static final long H5T_MIPS_I32

  - ### H5T_MIPS_I64

    public static final long H5T_MIPS_I64

  - ### H5T_MIPS_I8

    public static final long H5T_MIPS_I8

  - ### H5T_MIPS_U16

    public static final long H5T_MIPS_U16

  - ### H5T_MIPS_U32

    public static final long H5T_MIPS_U32

  - ### H5T_MIPS_U64

    public static final long H5T_MIPS_U64

  - ### H5T_MIPS_U8

    public static final long H5T_MIPS_U8

  - ### H5T_NATIVE_B16

    public static final long H5T_NATIVE_B16

  - ### H5T_NATIVE_B32

    public static final long H5T_NATIVE_B32

  - ### H5T_NATIVE_B64

    public static final long H5T_NATIVE_B64

  - ### H5T_NATIVE_B8

    public static final long H5T_NATIVE_B8

  - ### H5T_NATIVE_CHAR

    public static final long H5T_NATIVE_CHAR

  - ### H5T_NATIVE_DOUBLE

    public static final long H5T_NATIVE_DOUBLE

  - ### H5T_NATIVE_FLOAT

    public static final long H5T_NATIVE_FLOAT

  - ### H5T_NATIVE_HADDR

    public static final long H5T_NATIVE_HADDR

  - ### H5T_NATIVE_HBOOL

    public static final long H5T_NATIVE_HBOOL

  - ### H5T_NATIVE_HERR

    public static final long H5T_NATIVE_HERR

  - ### H5T_NATIVE_HSIZE

    public static final long H5T_NATIVE_HSIZE

  - ### H5T_NATIVE_HSSIZE

    public static final long H5T_NATIVE_HSSIZE

  - ### H5T_NATIVE_INT

    public static final long H5T_NATIVE_INT

  - ### H5T_NATIVE_INT_FAST16

    public static final long H5T_NATIVE_INT_FAST16

  - ### H5T_NATIVE_INT_FAST32

    public static final long H5T_NATIVE_INT_FAST32

  - ### H5T_NATIVE_INT_FAST64

    public static final long H5T_NATIVE_INT_FAST64

  - ### H5T_NATIVE_INT_FAST8

    public static final long H5T_NATIVE_INT_FAST8

  - ### H5T_NATIVE_INT_LEAST16

    public static final long H5T_NATIVE_INT_LEAST16

  - ### H5T_NATIVE_INT_LEAST32

    public static final long H5T_NATIVE_INT_LEAST32

  - ### H5T_NATIVE_INT_LEAST64

    public static final long H5T_NATIVE_INT_LEAST64

  - ### H5T_NATIVE_INT_LEAST8

    public static final long H5T_NATIVE_INT_LEAST8

  - ### H5T_NATIVE_INT16

    public static final long H5T_NATIVE_INT16

  - ### H5T_NATIVE_INT32

    public static final long H5T_NATIVE_INT32

  - ### H5T_NATIVE_INT64

    public static final long H5T_NATIVE_INT64

  - ### H5T_NATIVE_INT8

    public static final long H5T_NATIVE_INT8

  - ### H5T_NATIVE_LDOUBLE

    public static final long H5T_NATIVE_LDOUBLE

  - ### H5T_NATIVE_LLONG

    public static final long H5T_NATIVE_LLONG

  - ### H5T_NATIVE_LONG

    public static final long H5T_NATIVE_LONG

  - ### H5T_NATIVE_OPAQUE

    public static final long H5T_NATIVE_OPAQUE

  - ### H5T_NATIVE_SCHAR

    public static final long H5T_NATIVE_SCHAR

  - ### H5T_NATIVE_SHORT

    public static final long H5T_NATIVE_SHORT

  - ### H5T_NATIVE_UCHAR

    public static final long H5T_NATIVE_UCHAR

  - ### H5T_NATIVE_UINT

    public static final long H5T_NATIVE_UINT

  - ### H5T_NATIVE_UINT_FAST16

    public static final long H5T_NATIVE_UINT_FAST16

  - ### H5T_NATIVE_UINT_FAST32

    public static final long H5T_NATIVE_UINT_FAST32

  - ### H5T_NATIVE_UINT_FAST64

    public static final long H5T_NATIVE_UINT_FAST64

  - ### H5T_NATIVE_UINT_FAST8

    public static final long H5T_NATIVE_UINT_FAST8

  - ### H5T_NATIVE_UINT_LEAST16

    public static final long H5T_NATIVE_UINT_LEAST16

  - ### H5T_NATIVE_UINT_LEAST32

    public static final long H5T_NATIVE_UINT_LEAST32

  - ### H5T_NATIVE_UINT_LEAST64

    public static final long H5T_NATIVE_UINT_LEAST64

  - ### H5T_NATIVE_UINT_LEAST8

    public static final long H5T_NATIVE_UINT_LEAST8

  - ### H5T_NATIVE_UINT16

    public static final long H5T_NATIVE_UINT16

  - ### H5T_NATIVE_UINT32

    public static final long H5T_NATIVE_UINT32

  - ### H5T_NATIVE_UINT64

    public static final long H5T_NATIVE_UINT64

  - ### H5T_NATIVE_UINT8

    public static final long H5T_NATIVE_UINT8

  - ### H5T_NATIVE_ULLONG

    public static final long H5T_NATIVE_ULLONG

  - ### H5T_NATIVE_ULONG

    public static final long H5T_NATIVE_ULONG

  - ### H5T_NATIVE_USHORT

    public static final long H5T_NATIVE_USHORT

  - ### H5T_NCLASSES

    public static final int H5T_NCLASSES

  - ### H5T_NO_CLASS

    public static final int H5T_NO_CLASS

  - ### H5T_NORM_ERROR

    public static final int H5T_NORM_ERROR

  - ### H5T_NORM_IMPLIED

    public static final int H5T_NORM_IMPLIED

  - ### H5T_NORM_MSBSET

    public static final int H5T_NORM_MSBSET

  - ### H5T_NORM_NONE

    public static final int H5T_NORM_NONE

  - ### H5T_NPAD

    public static final int H5T_NPAD

  - ### H5T_NSGN

    public static final int H5T_NSGN

  - ### H5T_OPAQUE

    public static final int H5T_OPAQUE

  - ### H5T_OPAQUE_TAG_MAX

    public static final int H5T_OPAQUE_TAG_MAX

  - ### H5T_ORDER_BE

    public static final int H5T_ORDER_BE

  - ### H5T_ORDER_ERROR

    public static final int H5T_ORDER_ERROR

  - ### H5T_ORDER_LE

    public static final int H5T_ORDER_LE

  - ### H5T_ORDER_NONE

    public static final int H5T_ORDER_NONE

  - ### H5T_ORDER_VAX

    public static final int H5T_ORDER_VAX

  - ### H5T_PAD_BACKGROUND

    public static final int H5T_PAD_BACKGROUND

  - ### H5T_PAD_ERROR

    public static final int H5T_PAD_ERROR

  - ### H5T_PAD_ONE

    public static final int H5T_PAD_ONE

  - ### H5T_PAD_ZERO

    public static final int H5T_PAD_ZERO

  - ### H5T_PERS_DONTCARE

    public static final int H5T_PERS_DONTCARE

  - ### H5T_PERS_HARD

    public static final int H5T_PERS_HARD

  - ### H5T_PERS_SOFT

    public static final int H5T_PERS_SOFT

  - ### H5T_REFERENCE

    public static final int H5T_REFERENCE

  - ### H5T_SGN_2

    public static final int H5T_SGN_2

  - ### H5T_SGN_ERROR

    public static final int H5T_SGN_ERROR

  - ### H5T_SGN_NONE

    public static final int H5T_SGN_NONE

  - ### H5T_STD_B16BE

    public static final long H5T_STD_B16BE

  - ### H5T_STD_B16LE

    public static final long H5T_STD_B16LE

  - ### H5T_STD_B32BE

    public static final long H5T_STD_B32BE

  - ### H5T_STD_B32LE

    public static final long H5T_STD_B32LE

  - ### H5T_STD_B64BE

    public static final long H5T_STD_B64BE

  - ### H5T_STD_B64LE

    public static final long H5T_STD_B64LE

  - ### H5T_STD_B8BE

    public static final long H5T_STD_B8BE

  - ### H5T_STD_B8LE

    public static final long H5T_STD_B8LE

  - ### H5T_STD_I16BE

    public static final long H5T_STD_I16BE

  - ### H5T_STD_I16LE

    public static final long H5T_STD_I16LE

  - ### H5T_STD_I32BE

    public static final long H5T_STD_I32BE

  - ### H5T_STD_I32LE

    public static final long H5T_STD_I32LE

  - ### H5T_STD_I64BE

    public static final long H5T_STD_I64BE

  - ### H5T_STD_I64LE

    public static final long H5T_STD_I64LE

  - ### H5T_STD_I8BE

    public static final long H5T_STD_I8BE

  - ### H5T_STD_I8LE

    public static final long H5T_STD_I8LE

  - ### H5T_STD_REF_DSETREG

    public static final long H5T_STD_REF_DSETREG

  - ### H5T_STD_REF_OBJ

    public static final long H5T_STD_REF_OBJ

  - ### H5T_STD_U16BE

    public static final long H5T_STD_U16BE

  - ### H5T_STD_U16LE

    public static final long H5T_STD_U16LE

  - ### H5T_STD_U32BE

    public static final long H5T_STD_U32BE

  - ### H5T_STD_U32LE

    public static final long H5T_STD_U32LE

  - ### H5T_STD_U64BE

    public static final long H5T_STD_U64BE

  - ### H5T_STD_U64LE

    public static final long H5T_STD_U64LE

  - ### H5T_STD_U8BE

    public static final long H5T_STD_U8BE

  - ### H5T_STD_U8LE

    public static final long H5T_STD_U8LE

  - ### H5T_STR_ERROR

    public static final int H5T_STR_ERROR

  - ### H5T_STR_NULLPAD

    public static final int H5T_STR_NULLPAD

  - ### H5T_STR_NULLTERM

    public static final int H5T_STR_NULLTERM

  - ### H5T_STR_RESERVED_10

    public static final int H5T_STR_RESERVED_10

  - ### H5T_STR_RESERVED_11

    public static final int H5T_STR_RESERVED_11

  - ### H5T_STR_RESERVED_12

    public static final int H5T_STR_RESERVED_12

  - ### H5T_STR_RESERVED_13

    public static final int H5T_STR_RESERVED_13

  - ### H5T_STR_RESERVED_14

    public static final int H5T_STR_RESERVED_14

  - ### H5T_STR_RESERVED_15

    public static final int H5T_STR_RESERVED_15

  - ### H5T_STR_RESERVED_3

    public static final int H5T_STR_RESERVED_3

  - ### H5T_STR_RESERVED_4

    public static final int H5T_STR_RESERVED_4

  - ### H5T_STR_RESERVED_5

    public static final int H5T_STR_RESERVED_5

  - ### H5T_STR_RESERVED_6

    public static final int H5T_STR_RESERVED_6

  - ### H5T_STR_RESERVED_7

    public static final int H5T_STR_RESERVED_7

  - ### H5T_STR_RESERVED_8

    public static final int H5T_STR_RESERVED_8

  - ### H5T_STR_RESERVED_9

    public static final int H5T_STR_RESERVED_9

  - ### H5T_STR_SPACEPAD

    public static final int H5T_STR_SPACEPAD

  - ### H5T_STRING

    public static final int H5T_STRING

  - ### H5T_TIME

    public static final int H5T_TIME

  - ### H5T_UNIX_D32BE

    public static final long H5T_UNIX_D32BE

  - ### H5T_UNIX_D32LE

    public static final long H5T_UNIX_D32LE

  - ### H5T_UNIX_D64BE

    public static final long H5T_UNIX_D64BE

  - ### H5T_UNIX_D64LE

    public static final long H5T_UNIX_D64LE

  - ### H5T_VARIABLE

    public static final long H5T_VARIABLE

  - ### H5T_VLEN

    public static final int H5T_VLEN

  - ### H5T_VL_T

    public static final int H5T_VL_T

  - ### H5Z_CB_CONT

    public static final int H5Z_CB_CONT

  - ### H5Z_CB_ERROR

    public static final int H5Z_CB_ERROR

  - ### H5Z_CB_FAIL

    public static final int H5Z_CB_FAIL

  - ### H5Z_CB_NO

    public static final int H5Z_CB_NO

  - ### H5Z_DISABLE_EDC

    public static final int H5Z_DISABLE_EDC

  - ### H5Z_ENABLE_EDC

    public static final int H5Z_ENABLE_EDC

  - ### H5Z_ERROR_EDC

    public static final int H5Z_ERROR_EDC

  - ### H5Z_FILTER_DEFLATE

    public static final int H5Z_FILTER_DEFLATE

  - ### H5Z_FILTER_ERROR

    public static final int H5Z_FILTER_ERROR

  - ### H5Z_FILTER_FLETCHER32

    public static final int H5Z_FILTER_FLETCHER32

  - ### H5Z_FILTER_MAX

    public static final int H5Z_FILTER_MAX

  - ### H5Z_FILTER_NBIT

    public static final int H5Z_FILTER_NBIT

  - ### H5Z_FILTER_NONE

    public static final int H5Z_FILTER_NONE

  - ### H5Z_FILTER_RESERVED

    public static final int H5Z_FILTER_RESERVED

  - ### H5Z_FILTER_SCALEOFFSET

    public static final int H5Z_FILTER_SCALEOFFSET

  - ### H5Z_FILTER_SHUFFLE

    public static final int H5Z_FILTER_SHUFFLE

  - ### H5Z_FILTER_SZIP

    public static final int H5Z_FILTER_SZIP

  - ### H5Z_FLAG_DEFMASK

    public static final int H5Z_FLAG_DEFMASK

  - ### H5Z_FLAG_INVMASK

    public static final int H5Z_FLAG_INVMASK

  - ### H5Z_FLAG_MANDATORY

    public static final int H5Z_FLAG_MANDATORY

  - ### H5Z_FLAG_OPTIONAL

    public static final int H5Z_FLAG_OPTIONAL

  - ### H5Z_FLAG_REVERSE

    public static final int H5Z_FLAG_REVERSE

  - ### H5Z_FLAG_SKIP_EDC

    public static final int H5Z_FLAG_SKIP_EDC

  - ### H5Z_MAX_NFILTERS

    public static final int H5Z_MAX_NFILTERS

  - ### H5Z_NO_EDC

    public static final int H5Z_NO_EDC

  - ### H5Z_FILTER_CONFIG_ENCODE_ENABLED

    public static final int H5Z_FILTER_CONFIG_ENCODE_ENABLED

  - ### H5Z_FILTER_CONFIG_DECODE_ENABLED

    public static final int H5Z_FILTER_CONFIG_DECODE_ENABLED

  - ### H5Z_SO_INT_MINBITS_DEFAULT

    public static final int H5Z_SO_INT_MINBITS_DEFAULT

  - ### H5Z_SO_FLOAT_DSCALE

    public static final int H5Z_SO_FLOAT_DSCALE

  - ### H5Z_SO_FLOAT_ESCALE

    public static final int H5Z_SO_FLOAT_ESCALE

  - ### H5Z_SO_INT

    public static final int H5Z_SO_INT

  - ### H5Z_SHUFFLE_USER_NPARMS

    public static final int H5Z_SHUFFLE_USER_NPARMS

  - ### H5Z_SHUFFLE_TOTAL_NPARMS

    public static final int H5Z_SHUFFLE_TOTAL_NPARMS

  - ### H5Z_SZIP_USER_NPARMS

    public static final int H5Z_SZIP_USER_NPARMS

  - ### H5Z_SZIP_TOTAL_NPARMS

    public static final int H5Z_SZIP_TOTAL_NPARMS

  - ### H5Z_SZIP_PARM_MASK

    public static final int H5Z_SZIP_PARM_MASK

  - ### H5Z_SZIP_PARM_PPB

    public static final int H5Z_SZIP_PARM_PPB

  - ### H5Z_SZIP_PARM_BPP

    public static final int H5Z_SZIP_PARM_BPP

  - ### H5Z_SZIP_PARM_PPS

    public static final int H5Z_SZIP_PARM_PPS

  - ### H5Z_NBIT_USER_NPARMS

    public static final int H5Z_NBIT_USER_NPARMS

  - ### H5Z_SCALEOFFSET_USER_NPARMS

    public static final int H5Z_SCALEOFFSET_USER_NPARMS

  - ### H5Z_FILTER_ALL

    public static final int H5Z_FILTER_ALL

- ## Constructor Details

  - ### HDF5Constants

    public HDF5Constants()